Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I can't use my account pull-downs in E-trade with Firefox 4. Need a fix at Firefox??

  • 1 svar
  • 12 har dette problem
  • 10 visninger
  • Seneste svar af macjedi2

more options

After loading newest Firefox 4.0, I logged into my E-trade brokerage account and tried to use a pull down menu to look at a portfolio, but the menu doesn't respond. I opened an Internet Explorer browser and opened E-trade and everything worked. Seems like the new version of Firefox either has glitch or my PC needs to be modified for cookies?? or cache issues. Could some one look at this and get back to me. Very annoying not to be able to use 4.0 for my investments! Wayne

After loading newest Firefox 4.0, I logged into my E-trade brokerage account and tried to use a pull down menu to look at a portfolio, but the menu doesn't respond. I opened an Internet Explorer browser and opened E-trade and everything worked. Seems like the new version of Firefox either has glitch or my PC needs to be modified for cookies?? or cache issues. Could some one look at this and get back to me. Very annoying not to be able to use 4.0 for my investments! Wayne

Alle svar (1)

more options

Has there been a fix for Firefox 4.0 in the case of using ETRADE? I am using the Mac OS version of Firefox 4. I loved Firefox, but the majority of my day is spent on the ETRADE website. How can we install the old version of Firefox? Was there an update and I missed it?